/*
TASK: prox
LANG: C++
*/
#include <cmath>
#include <cstdio>

int a[4][2];
double t;

void read() {
	int i , j;
	
	for (i = 0; i < 3; i++)
		for (j = 0; j < 2; j++)
			scanf ( "%d" , &a[i][j] );
}

double dist ( double x1 , double y1 , double x2 , double y2 ) {
	return sqrt ( (x1 - x2) * (x1 - x2) + (y1 - y2) * (y1 - y2) );
}

double calc ( double d ) {
	double x , y;
	
	x = (double)a[0][0] + (double)(a[1][0] - a[0][0]) * d / t;
	y = (double)a[0][1] + (double)(a[1][1] - a[0][1]) * d / t;
	
	return dist ( x , y , a[2][0] , a[2][1] );
}

void solve() {
	double l , r;
	double mid1 , mid2;
	double x , y;
	
	t = dist ( a[0][0] , a[0][1] , a[1][0] , a[1][1] );
	
	l = 0;
	r = t;
	
	for (int iter = 0; iter < 1000; iter++) {
		mid1 = l + (r - l) / 3;
		mid2 = r - (r - l) / 3;
		
		if ( calc ( mid1 ) < calc ( mid2 ) )
			r = mid2;
		else
			l = mid1;
	}

	x = (double)a[0][0] + (double)(a[1][0] - a[0][0]) * l / t;
	y = (double)a[0][1] + (double)(a[1][1] - a[0][1]) * l / t;
	
	printf ( "%d %d\n" , (int)(x + 1e-9) , (int)(y + 1e-9) );
}

int main() {
	read();
	solve();
	
	return 0;
}
