
/*
TASK: prox
LANG: C++
*/

#include <cmath>
#include <cstdio>
using namespace std;

struct pnt {
    double x;
    double y;
    
    void read() {
        scanf("%lf %lf", &x, &y);
    }
};

pnt A, B, C;

void read() {
    A.read();
    B.read();
    C.read();
}

inline double dist(pnt p1, pnt p2) {
    double dx = p1.x - p2.x;
    double dy = p1.y - p2.y;
    return sqrt(dx * dx + dy * dy);
}

int truncate(double x) {
    return (int) (x + 1e-9);
}

inline double f(double vec, bool show = false) {
    pnt P = (pnt) {A.x + (B.x - A.x) * vec, A.y + (B.y - A.y) * vec};
    if (show) {
//        printf("%.10lf %.10lf\n", P.x, P.y);
        printf("%d %d\n", truncate(P.x), truncate(P.y));
    }
    return dist(P, C);
}

void solve() {
    double l = 0.00;
    double r = 1.00;
    for (int iter = 0; iter < 2048; ++iter) {
        double m1 = (l + l + r) / 3.0;
        double m2 = (l + r + r) / 3.0;
        if (f(m1) < f(m2))
            r = m2;
        else
            l = m1;
    }
    f((l + r) / 2.0, true);
}

int main() {
    read();
    solve();
    return 0;
}

