/*
TASK: prox
LANG: C++
*/

#include <algorithm>
#include <complex>

#define X					real()
#define Y					imag()
#define dot(a, b)			real(conj(a) * (b))
#define length2(a)			dot(a, a)

typedef std :: complex<double> point;


const double EPS = 1e-9;


point A, B, C, P;


void Read()
{
	scanf("%lf %lf", & A.X, & A.Y);
	scanf("%lf %lf", & B.X, & B.Y);
	scanf("%lf %lf", & C.X, & C.Y);
}

inline double f(const double & scale)
{
	return length2(C - B * scale);
}

void Solve()
{
double left = 0.0, left_third, right_third, right = 1.0;
	
	B -= A;
	C -= A;
	
	for(left = 0.0, right = 1.0; EPS < right - left;)
	{
		left_third = (left * 2.0 + right) / 3.0;
		right_third = (left + right * 2.0) / 3.0;
		
		if(f(left_third) < f(right_third)) right = right_third;
		else left = left_third;
	}
	
	P = B * (left + right) * 0.5 + A;
	B += A;
	C += A;
}

void Write()
{
//	fprintf(stderr, "%.5lf %.5lf\n", P.X, P.Y);
	
	printf("%d %d\n", int(P.X + EPS), int(P.Y + EPS));
}

int main()
{
	Read();
	
	Solve();
	
	Write();
	
//	fprintf(stderr, "%.5lf\n", double(clock()) / double(CLOCKS_PER_SEC));
//	system("pause");
	
	return 0;
}
